package calendar;

/**
 * Interface for objects listening to modifications of a calendar or a calendar
 * view. The interface provides direct signals for adding and removing entries.
 * If an existing calendar entry is updated, this will show up as consecutive
 * removal (before the update) and adding (after the update) of the entry.
 */
public interface CalendarListener {
    
    /**
     * This signal is raised immediately after adding a new entry to the
     * calendar
     */
    void addedEntry(CalendarEntry e);
    
    /**
     * This signal is raised immediately after removing an entry from the
     * calendar
     */
    void removedEntry(CalendarEntry e);
}
